Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network160.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
Network address
160.0.0.0
Broadcast address
163.255.255.255
First usable
160.0.0.1
Last usable
163.255.255.254
Usable hosts
67,108,862 (67,108,864 less the network and broadcast addresses)
Subnet mask
252.0.0.0
Wildcard mask
3.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/6
Type
Public public
Old class
B (default /16)
As numbers
Hex A0000000 · Integer 2684354560 to 2751463423
Reverse DNS zones
160.in-addr.arpa
161.in-addr.arpa
162.in-addr.arpa
163.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10100000.00000000.00000000.00000000160.0.0.0
Subnet mask11111100.00000000.00000000.00000000252.0.0.0
Network10100000.00000000.00000000.00000000160.0.0.0
Broadcast10100011.11111111.11111111.11111111163.255.255.255
Split into smaller subnets/15

160.0.0.0/6 makes 512 subnets of /15; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1160.0.0.0/15160.0.0.1 to 160.1.255.254160.1.255.255131,070
2160.2.0.0/15160.2.0.1 to 160.3.255.254160.3.255.255131,070
3160.4.0.0/15160.4.0.1 to 160.5.255.254160.5.255.255131,070
4160.6.0.0/15160.6.0.1 to 160.7.255.254160.7.255.255131,070
5160.8.0.0/15160.8.0.1 to 160.9.255.254160.9.255.255131,070
6160.10.0.0/15160.10.0.1 to 160.11.255.254160.11.255.255131,070
7160.12.0.0/15160.12.0.1 to 160.13.255.254160.13.255.255131,070
8160.14.0.0/15160.14.0.1 to 160.15.255.254160.15.255.255131,070
9160.16.0.0/15160.16.0.1 to 160.17.255.254160.17.255.255131,070
10160.18.0.0/15160.18.0.1 to 160.19.255.254160.19.255.255131,070
11160.20.0.0/15160.20.0.1 to 160.21.255.254160.21.255.255131,070
12160.22.0.0/15160.22.0.1 to 160.23.255.254160.23.255.255131,070
13160.24.0.0/15160.24.0.1 to 160.25.255.254160.25.255.255131,070
14160.26.0.0/15160.26.0.1 to 160.27.255.254160.27.255.255131,070
15160.28.0.0/15160.28.0.1 to 160.29.255.254160.29.255.255131,070
16160.30.0.0/15160.30.0.1 to 160.31.255.254160.31.255.255131,070
17160.32.0.0/15160.32.0.1 to 160.33.255.254160.33.255.255131,070
18160.34.0.0/15160.34.0.1 to 160.35.255.254160.35.255.255131,070
19160.36.0.0/15160.36.0.1 to 160.37.255.254160.37.255.255131,070
20160.38.0.0/15160.38.0.1 to 160.39.255.254160.39.255.255131,070
21160.40.0.0/15160.40.0.1 to 160.41.255.254160.41.255.255131,070
22160.42.0.0/15160.42.0.1 to 160.43.255.254160.43.255.255131,070
23160.44.0.0/15160.44.0.1 to 160.45.255.254160.45.255.255131,070
24160.46.0.0/15160.46.0.1 to 160.47.255.254160.47.255.255131,070
25160.48.0.0/15160.48.0.1 to 160.49.255.254160.49.255.255131,070
26160.50.0.0/15160.50.0.1 to 160.51.255.254160.51.255.255131,070
27160.52.0.0/15160.52.0.1 to 160.53.255.254160.53.255.255131,070
28160.54.0.0/15160.54.0.1 to 160.55.255.254160.55.255.255131,070
29160.56.0.0/15160.56.0.1 to 160.57.255.254160.57.255.255131,070
30160.58.0.0/15160.58.0.1 to 160.59.255.254160.59.255.255131,070
31160.60.0.0/15160.60.0.1 to 160.61.255.254160.61.255.255131,070
32160.62.0.0/15160.62.0.1 to 160.63.255.254160.63.255.255131,070
33160.64.0.0/15160.64.0.1 to 160.65.255.254160.65.255.255131,070
34160.66.0.0/15160.66.0.1 to 160.67.255.254160.67.255.255131,070
35160.68.0.0/15160.68.0.1 to 160.69.255.254160.69.255.255131,070
36160.70.0.0/15160.70.0.1 to 160.71.255.254160.71.255.255131,070
37160.72.0.0/15160.72.0.1 to 160.73.255.254160.73.255.255131,070
38160.74.0.0/15160.74.0.1 to 160.75.255.254160.75.255.255131,070
39160.76.0.0/15160.76.0.1 to 160.77.255.254160.77.255.255131,070
40160.78.0.0/15160.78.0.1 to 160.79.255.254160.79.255.255131,070
41160.80.0.0/15160.80.0.1 to 160.81.255.254160.81.255.255131,070
42160.82.0.0/15160.82.0.1 to 160.83.255.254160.83.255.255131,070
43160.84.0.0/15160.84.0.1 to 160.85.255.254160.85.255.255131,070
44160.86.0.0/15160.86.0.1 to 160.87.255.254160.87.255.255131,070
45160.88.0.0/15160.88.0.1 to 160.89.255.254160.89.255.255131,070
46160.90.0.0/15160.90.0.1 to 160.91.255.254160.91.255.255131,070
47160.92.0.0/15160.92.0.1 to 160.93.255.254160.93.255.255131,070
48160.94.0.0/15160.94.0.1 to 160.95.255.254160.95.255.255131,070
49160.96.0.0/15160.96.0.1 to 160.97.255.254160.97.255.255131,070
50160.98.0.0/15160.98.0.1 to 160.99.255.254160.99.255.255131,070
51160.100.0.0/15160.100.0.1 to 160.101.255.254160.101.255.255131,070
52160.102.0.0/15160.102.0.1 to 160.103.255.254160.103.255.255131,070
53160.104.0.0/15160.104.0.1 to 160.105.255.254160.105.255.255131,070
54160.106.0.0/15160.106.0.1 to 160.107.255.254160.107.255.255131,070
55160.108.0.0/15160.108.0.1 to 160.109.255.254160.109.255.255131,070
56160.110.0.0/15160.110.0.1 to 160.111.255.254160.111.255.255131,070
57160.112.0.0/15160.112.0.1 to 160.113.255.254160.113.255.255131,070
58160.114.0.0/15160.114.0.1 to 160.115.255.254160.115.255.255131,070
59160.116.0.0/15160.116.0.1 to 160.117.255.254160.117.255.255131,070
60160.118.0.0/15160.118.0.1 to 160.119.255.254160.119.255.255131,070
61160.120.0.0/15160.120.0.1 to 160.121.255.254160.121.255.255131,070
62160.122.0.0/15160.122.0.1 to 160.123.255.254160.123.255.255131,070
63160.124.0.0/15160.124.0.1 to 160.125.255.254160.125.255.255131,070
64160.126.0.0/15160.126.0.1 to 160.127.255.254160.127.255.255131,070
65160.128.0.0/15160.128.0.1 to 160.129.255.254160.129.255.255131,070
66160.130.0.0/15160.130.0.1 to 160.131.255.254160.131.255.255131,070
67160.132.0.0/15160.132.0.1 to 160.133.255.254160.133.255.255131,070
68160.134.0.0/15160.134.0.1 to 160.135.255.254160.135.255.255131,070
69160.136.0.0/15160.136.0.1 to 160.137.255.254160.137.255.255131,070
70160.138.0.0/15160.138.0.1 to 160.139.255.254160.139.255.255131,070
71160.140.0.0/15160.140.0.1 to 160.141.255.254160.141.255.255131,070
72160.142.0.0/15160.142.0.1 to 160.143.255.254160.143.255.255131,070
73160.144.0.0/15160.144.0.1 to 160.145.255.254160.145.255.255131,070
74160.146.0.0/15160.146.0.1 to 160.147.255.254160.147.255.255131,070
75160.148.0.0/15160.148.0.1 to 160.149.255.254160.149.255.255131,070
76160.150.0.0/15160.150.0.1 to 160.151.255.254160.151.255.255131,070
77160.152.0.0/15160.152.0.1 to 160.153.255.254160.153.255.255131,070
78160.154.0.0/15160.154.0.1 to 160.155.255.254160.155.255.255131,070
79160.156.0.0/15160.156.0.1 to 160.157.255.254160.157.255.255131,070
80160.158.0.0/15160.158.0.1 to 160.159.255.254160.159.255.255131,070
81160.160.0.0/15160.160.0.1 to 160.161.255.254160.161.255.255131,070
82160.162.0.0/15160.162.0.1 to 160.163.255.254160.163.255.255131,070
83160.164.0.0/15160.164.0.1 to 160.165.255.254160.165.255.255131,070
84160.166.0.0/15160.166.0.1 to 160.167.255.254160.167.255.255131,070
85160.168.0.0/15160.168.0.1 to 160.169.255.254160.169.255.255131,070
86160.170.0.0/15160.170.0.1 to 160.171.255.254160.171.255.255131,070
87160.172.0.0/15160.172.0.1 to 160.173.255.254160.173.255.255131,070
88160.174.0.0/15160.174.0.1 to 160.175.255.254160.175.255.255131,070
89160.176.0.0/15160.176.0.1 to 160.177.255.254160.177.255.255131,070
90160.178.0.0/15160.178.0.1 to 160.179.255.254160.179.255.255131,070
91160.180.0.0/15160.180.0.1 to 160.181.255.254160.181.255.255131,070
92160.182.0.0/15160.182.0.1 to 160.183.255.254160.183.255.255131,070
93160.184.0.0/15160.184.0.1 to 160.185.255.254160.185.255.255131,070
94160.186.0.0/15160.186.0.1 to 160.187.255.254160.187.255.255131,070
95160.188.0.0/15160.188.0.1 to 160.189.255.254160.189.255.255131,070
96160.190.0.0/15160.190.0.1 to 160.191.255.254160.191.255.255131,070
97160.192.0.0/15160.192.0.1 to 160.193.255.254160.193.255.255131,070
98160.194.0.0/15160.194.0.1 to 160.195.255.254160.195.255.255131,070
99160.196.0.0/15160.196.0.1 to 160.197.255.254160.197.255.255131,070
100160.198.0.0/15160.198.0.1 to 160.199.255.254160.199.255.255131,070
101160.200.0.0/15160.200.0.1 to 160.201.255.254160.201.255.255131,070
102160.202.0.0/15160.202.0.1 to 160.203.255.254160.203.255.255131,070
103160.204.0.0/15160.204.0.1 to 160.205.255.254160.205.255.255131,070
104160.206.0.0/15160.206.0.1 to 160.207.255.254160.207.255.255131,070
105160.208.0.0/15160.208.0.1 to 160.209.255.254160.209.255.255131,070
106160.210.0.0/15160.210.0.1 to 160.211.255.254160.211.255.255131,070
107160.212.0.0/15160.212.0.1 to 160.213.255.254160.213.255.255131,070
108160.214.0.0/15160.214.0.1 to 160.215.255.254160.215.255.255131,070
109160.216.0.0/15160.216.0.1 to 160.217.255.254160.217.255.255131,070
110160.218.0.0/15160.218.0.1 to 160.219.255.254160.219.255.255131,070
111160.220.0.0/15160.220.0.1 to 160.221.255.254160.221.255.255131,070
112160.222.0.0/15160.222.0.1 to 160.223.255.254160.223.255.255131,070
113160.224.0.0/15160.224.0.1 to 160.225.255.254160.225.255.255131,070
114160.226.0.0/15160.226.0.1 to 160.227.255.254160.227.255.255131,070
115160.228.0.0/15160.228.0.1 to 160.229.255.254160.229.255.255131,070
116160.230.0.0/15160.230.0.1 to 160.231.255.254160.231.255.255131,070
117160.232.0.0/15160.232.0.1 to 160.233.255.254160.233.255.255131,070
118160.234.0.0/15160.234.0.1 to 160.235.255.254160.235.255.255131,070
119160.236.0.0/15160.236.0.1 to 160.237.255.254160.237.255.255131,070
120160.238.0.0/15160.238.0.1 to 160.239.255.254160.239.255.255131,070
121160.240.0.0/15160.240.0.1 to 160.241.255.254160.241.255.255131,070
122160.242.0.0/15160.242.0.1 to 160.243.255.254160.243.255.255131,070
123160.244.0.0/15160.244.0.1 to 160.245.255.254160.245.255.255131,070
124160.246.0.0/15160.246.0.1 to 160.247.255.254160.247.255.255131,070
125160.248.0.0/15160.248.0.1 to 160.249.255.254160.249.255.255131,070
126160.250.0.0/15160.250.0.1 to 160.251.255.254160.251.255.255131,070
127160.252.0.0/15160.252.0.1 to 160.253.255.254160.253.255.255131,070
128160.254.0.0/15160.254.0.1 to 160.255.255.254160.255.255.255131,070
129161.0.0.0/15161.0.0.1 to 161.1.255.254161.1.255.255131,070
130161.2.0.0/15161.2.0.1 to 161.3.255.254161.3.255.255131,070
131161.4.0.0/15161.4.0.1 to 161.5.255.254161.5.255.255131,070
132161.6.0.0/15161.6.0.1 to 161.7.255.254161.7.255.255131,070
133161.8.0.0/15161.8.0.1 to 161.9.255.254161.9.255.255131,070
134161.10.0.0/15161.10.0.1 to 161.11.255.254161.11.255.255131,070
135161.12.0.0/15161.12.0.1 to 161.13.255.254161.13.255.255131,070
136161.14.0.0/15161.14.0.1 to 161.15.255.254161.15.255.255131,070
137161.16.0.0/15161.16.0.1 to 161.17.255.254161.17.255.255131,070
138161.18.0.0/15161.18.0.1 to 161.19.255.254161.19.255.255131,070
139161.20.0.0/15161.20.0.1 to 161.21.255.254161.21.255.255131,070
140161.22.0.0/15161.22.0.1 to 161.23.255.254161.23.255.255131,070
141161.24.0.0/15161.24.0.1 to 161.25.255.254161.25.255.255131,070
142161.26.0.0/15161.26.0.1 to 161.27.255.254161.27.255.255131,070
143161.28.0.0/15161.28.0.1 to 161.29.255.254161.29.255.255131,070
144161.30.0.0/15161.30.0.1 to 161.31.255.254161.31.255.255131,070
145161.32.0.0/15161.32.0.1 to 161.33.255.254161.33.255.255131,070
146161.34.0.0/15161.34.0.1 to 161.35.255.254161.35.255.255131,070
147161.36.0.0/15161.36.0.1 to 161.37.255.254161.37.255.255131,070
148161.38.0.0/15161.38.0.1 to 161.39.255.254161.39.255.255131,070
149161.40.0.0/15161.40.0.1 to 161.41.255.254161.41.255.255131,070
150161.42.0.0/15161.42.0.1 to 161.43.255.254161.43.255.255131,070
151161.44.0.0/15161.44.0.1 to 161.45.255.254161.45.255.255131,070
152161.46.0.0/15161.46.0.1 to 161.47.255.254161.47.255.255131,070
153161.48.0.0/15161.48.0.1 to 161.49.255.254161.49.255.255131,070
154161.50.0.0/15161.50.0.1 to 161.51.255.254161.51.255.255131,070
155161.52.0.0/15161.52.0.1 to 161.53.255.254161.53.255.255131,070
156161.54.0.0/15161.54.0.1 to 161.55.255.254161.55.255.255131,070
157161.56.0.0/15161.56.0.1 to 161.57.255.254161.57.255.255131,070
158161.58.0.0/15161.58.0.1 to 161.59.255.254161.59.255.255131,070
159161.60.0.0/15161.60.0.1 to 161.61.255.254161.61.255.255131,070
160161.62.0.0/15161.62.0.1 to 161.63.255.254161.63.255.255131,070
161161.64.0.0/15161.64.0.1 to 161.65.255.254161.65.255.255131,070
162161.66.0.0/15161.66.0.1 to 161.67.255.254161.67.255.255131,070
163161.68.0.0/15161.68.0.1 to 161.69.255.254161.69.255.255131,070
164161.70.0.0/15161.70.0.1 to 161.71.255.254161.71.255.255131,070
165161.72.0.0/15161.72.0.1 to 161.73.255.254161.73.255.255131,070
166161.74.0.0/15161.74.0.1 to 161.75.255.254161.75.255.255131,070
167161.76.0.0/15161.76.0.1 to 161.77.255.254161.77.255.255131,070
168161.78.0.0/15161.78.0.1 to 161.79.255.254161.79.255.255131,070
169161.80.0.0/15161.80.0.1 to 161.81.255.254161.81.255.255131,070
170161.82.0.0/15161.82.0.1 to 161.83.255.254161.83.255.255131,070
171161.84.0.0/15161.84.0.1 to 161.85.255.254161.85.255.255131,070
172161.86.0.0/15161.86.0.1 to 161.87.255.254161.87.255.255131,070
173161.88.0.0/15161.88.0.1 to 161.89.255.254161.89.255.255131,070
174161.90.0.0/15161.90.0.1 to 161.91.255.254161.91.255.255131,070
175161.92.0.0/15161.92.0.1 to 161.93.255.254161.93.255.255131,070
176161.94.0.0/15161.94.0.1 to 161.95.255.254161.95.255.255131,070
177161.96.0.0/15161.96.0.1 to 161.97.255.254161.97.255.255131,070
178161.98.0.0/15161.98.0.1 to 161.99.255.254161.99.255.255131,070
179161.100.0.0/15161.100.0.1 to 161.101.255.254161.101.255.255131,070
180161.102.0.0/15161.102.0.1 to 161.103.255.254161.103.255.255131,070
181161.104.0.0/15161.104.0.1 to 161.105.255.254161.105.255.255131,070
182161.106.0.0/15161.106.0.1 to 161.107.255.254161.107.255.255131,070
183161.108.0.0/15161.108.0.1 to 161.109.255.254161.109.255.255131,070
184161.110.0.0/15161.110.0.1 to 161.111.255.254161.111.255.255131,070
185161.112.0.0/15161.112.0.1 to 161.113.255.254161.113.255.255131,070
186161.114.0.0/15161.114.0.1 to 161.115.255.254161.115.255.255131,070
187161.116.0.0/15161.116.0.1 to 161.117.255.254161.117.255.255131,070
188161.118.0.0/15161.118.0.1 to 161.119.255.254161.119.255.255131,070
189161.120.0.0/15161.120.0.1 to 161.121.255.254161.121.255.255131,070
190161.122.0.0/15161.122.0.1 to 161.123.255.254161.123.255.255131,070
191161.124.0.0/15161.124.0.1 to 161.125.255.254161.125.255.255131,070
192161.126.0.0/15161.126.0.1 to 161.127.255.254161.127.255.255131,070
193161.128.0.0/15161.128.0.1 to 161.129.255.254161.129.255.255131,070
194161.130.0.0/15161.130.0.1 to 161.131.255.254161.131.255.255131,070
195161.132.0.0/15161.132.0.1 to 161.133.255.254161.133.255.255131,070
196161.134.0.0/15161.134.0.1 to 161.135.255.254161.135.255.255131,070
197161.136.0.0/15161.136.0.1 to 161.137.255.254161.137.255.255131,070
198161.138.0.0/15161.138.0.1 to 161.139.255.254161.139.255.255131,070
199161.140.0.0/15161.140.0.1 to 161.141.255.254161.141.255.255131,070
200161.142.0.0/15161.142.0.1 to 161.143.255.254161.143.255.255131,070
201161.144.0.0/15161.144.0.1 to 161.145.255.254161.145.255.255131,070
202161.146.0.0/15161.146.0.1 to 161.147.255.254161.147.255.255131,070
203161.148.0.0/15161.148.0.1 to 161.149.255.254161.149.255.255131,070
204161.150.0.0/15161.150.0.1 to 161.151.255.254161.151.255.255131,070
205161.152.0.0/15161.152.0.1 to 161.153.255.254161.153.255.255131,070
206161.154.0.0/15161.154.0.1 to 161.155.255.254161.155.255.255131,070
207161.156.0.0/15161.156.0.1 to 161.157.255.254161.157.255.255131,070
208161.158.0.0/15161.158.0.1 to 161.159.255.254161.159.255.255131,070
209161.160.0.0/15161.160.0.1 to 161.161.255.254161.161.255.255131,070
210161.162.0.0/15161.162.0.1 to 161.163.255.254161.163.255.255131,070
211161.164.0.0/15161.164.0.1 to 161.165.255.254161.165.255.255131,070
212161.166.0.0/15161.166.0.1 to 161.167.255.254161.167.255.255131,070
213161.168.0.0/15161.168.0.1 to 161.169.255.254161.169.255.255131,070
214161.170.0.0/15161.170.0.1 to 161.171.255.254161.171.255.255131,070
215161.172.0.0/15161.172.0.1 to 161.173.255.254161.173.255.255131,070
216161.174.0.0/15161.174.0.1 to 161.175.255.254161.175.255.255131,070
217161.176.0.0/15161.176.0.1 to 161.177.255.254161.177.255.255131,070
218161.178.0.0/15161.178.0.1 to 161.179.255.254161.179.255.255131,070
219161.180.0.0/15161.180.0.1 to 161.181.255.254161.181.255.255131,070
220161.182.0.0/15161.182.0.1 to 161.183.255.254161.183.255.255131,070
221161.184.0.0/15161.184.0.1 to 161.185.255.254161.185.255.255131,070
222161.186.0.0/15161.186.0.1 to 161.187.255.254161.187.255.255131,070
223161.188.0.0/15161.188.0.1 to 161.189.255.254161.189.255.255131,070
224161.190.0.0/15161.190.0.1 to 161.191.255.254161.191.255.255131,070
225161.192.0.0/15161.192.0.1 to 161.193.255.254161.193.255.255131,070
226161.194.0.0/15161.194.0.1 to 161.195.255.254161.195.255.255131,070
227161.196.0.0/15161.196.0.1 to 161.197.255.254161.197.255.255131,070
228161.198.0.0/15161.198.0.1 to 161.199.255.254161.199.255.255131,070
229161.200.0.0/15161.200.0.1 to 161.201.255.254161.201.255.255131,070
230161.202.0.0/15161.202.0.1 to 161.203.255.254161.203.255.255131,070
231161.204.0.0/15161.204.0.1 to 161.205.255.254161.205.255.255131,070
232161.206.0.0/15161.206.0.1 to 161.207.255.254161.207.255.255131,070
233161.208.0.0/15161.208.0.1 to 161.209.255.254161.209.255.255131,070
234161.210.0.0/15161.210.0.1 to 161.211.255.254161.211.255.255131,070
235161.212.0.0/15161.212.0.1 to 161.213.255.254161.213.255.255131,070
236161.214.0.0/15161.214.0.1 to 161.215.255.254161.215.255.255131,070
237161.216.0.0/15161.216.0.1 to 161.217.255.254161.217.255.255131,070
238161.218.0.0/15161.218.0.1 to 161.219.255.254161.219.255.255131,070
239161.220.0.0/15161.220.0.1 to 161.221.255.254161.221.255.255131,070
240161.222.0.0/15161.222.0.1 to 161.223.255.254161.223.255.255131,070
241161.224.0.0/15161.224.0.1 to 161.225.255.254161.225.255.255131,070
242161.226.0.0/15161.226.0.1 to 161.227.255.254161.227.255.255131,070
243161.228.0.0/15161.228.0.1 to 161.229.255.254161.229.255.255131,070
244161.230.0.0/15161.230.0.1 to 161.231.255.254161.231.255.255131,070
245161.232.0.0/15161.232.0.1 to 161.233.255.254161.233.255.255131,070
246161.234.0.0/15161.234.0.1 to 161.235.255.254161.235.255.255131,070
247161.236.0.0/15161.236.0.1 to 161.237.255.254161.237.255.255131,070
248161.238.0.0/15161.238.0.1 to 161.239.255.254161.239.255.255131,070
249161.240.0.0/15161.240.0.1 to 161.241.255.254161.241.255.255131,070
250161.242.0.0/15161.242.0.1 to 161.243.255.254161.243.255.255131,070
251161.244.0.0/15161.244.0.1 to 161.245.255.254161.245.255.255131,070
252161.246.0.0/15161.246.0.1 to 161.247.255.254161.247.255.255131,070
253161.248.0.0/15161.248.0.1 to 161.249.255.254161.249.255.255131,070
254161.250.0.0/15161.250.0.1 to 161.251.255.254161.251.255.255131,070
255161.252.0.0/15161.252.0.1 to 161.253.255.254161.253.255.255131,070
256161.254.0.0/15161.254.0.1 to 161.255.255.254161.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses